Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# simple.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 5 of file simple.cpp. References x.
    00005            {
    00006    ex pi = 3.14;
    00007    cout <<"pi="<<pi<<endl;
    00008    ex x = symbol("x");
    00009    cout <<"x="<<x<<endl;
    00010    ex f = cos(x);
    00011    cout <<"f="<<f<<endl;
    00012    ex list = lst(pi,x,f);
    00013    cout <<"list="<<list<<endl;
    00014
    00015    for (int i=0; i< list.nops(); i++) {
    00016      cout <<"item "<<i+1<<" = "<<list[i]<<endl;
    00017    }
    00018 }